> ## Documentation Index
> Fetch the complete documentation index at: https://doc.bettercontact.rocks/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enrichment Results

> Retrieve the enrichment results for a specific request ID.



## OpenAPI

````yaml GET /async/{request_id}
openapi: 3.0.1
info:
  title: BetterContact API
  description: The official BetterContact API to enrich your contacts list and find leads
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.bettercontact.rocks/api/v2
security:
  - apiKey: []
paths:
  /async/{request_id}:
    get:
      summary: Get request results
      description: >-
        Retrieve the results for a specific request ID (works for both
        enrichment and lead finder requests)
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Request results retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentResult'
        '401':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '406':
          description: Invalid request_id
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unvalid request_id.
      security:
        - apiKey: []
components:
  schemas:
    EnrichmentResult:
      type: object
      properties:
        id:
          type: string
          example: fefbc2203558eb3adcea
        status:
          type: string
          example: terminated
        credits_consumed:
          type: integer
          example: 1
        credits_left:
          type: integer
          example: 331
        summary:
          type: object
          properties:
            total:
              type: integer
              example: 1
            valid:
              type: integer
              example: 1
            catch_all:
              type: integer
              example: 0
            catch_all_safe:
              type: integer
              example: 0
            catch_all_not_safe:
              type: integer
              example: 0
            undeliverable:
              type: integer
              example: 0
            not_found:
              type: integer
              example: 0
        data:
          type: array
          items:
            type: object
            properties:
              enriched:
                type: boolean
                example: true
              email_provider:
                type: string
                example: XXX
              contact_first_name:
                type: string
                example: Elon
              contact_last_name:
                type: string
                example: Musk
              contact_email_address:
                type: string
                example: elon@tesla.com
              contact_email_address_status:
                type: string
                example: deliverable
                description: >-
                  Available statuses: deliverable, catch_all_safe,
                  catch_all_not_safe, undeliverable
              contact_gender:
                type: string
                example: male
              contact_job_title:
                type: string
                example: CEO of Tesla
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````